﻿@model RoomEscapeCatalog.Models.Room

@{
    ViewBag.Title = Model.Name;
}

<div class="room-details">
    <header>
        <div class="bg" style="background-image: url(@Url.Content($"~/{Model.Logo.Path}"))"></div>
        <div class="room-name">@Model.Name</div>
    </header>

    <div class="info">
        <div class="gallery">
            <div><strong>Gallery</strong></div>
            <div class="container">
                @foreach (var image in Model.Gallery)
                {
                    @DeclarativeHtmlHelpers.Image(image)
                }
            </div>
        </div>

        <div class="overview">
            <div><strong>Overview</strong></div>
            @if(Model.Overview != null)
            {
                var paragraphs = Model.Overview.Split("\r\n".ToCharArray(), StringSplitOptions.RemoveEmptyEntries);
                foreach (var item in paragraphs)
                {
                    <p>@item</p>
                }
            }
        </div>

        <div class="details">
            <div class="details-item">
                <i class="fas fa-shield-alt"></i>
                <div class="title">Difficulty</div>
                <div class="value">@Model.Difficulty/5</div>
            </div>
            <div class="details-item">
                <i class="far fa-clock"></i>
                <div class="title">Duration</div>
                <div class="value">@Model.DurationMinutes min</div>
            </div>
            <div class="details-item">
                <i class="far fa-user-circle"></i>
                <div class="title">Group Size</div>
                <div class="value">@Model.MinPlayers-@Model.MaxPlayers participants</div>
            </div>
        </div>
    </div>
</div>
